Arduino

Reference Language | Libraries | Comparison | Changes

Esplora

## readMicrophone()

#### Description

Read the amplitude from the microphone. It returns a valure between 0 and 1023.

#### Syntax

readMicrophone()

#### Parameters

none

#### Returns

int : The amplitude mapped to a range of 0 to 1023.

#### Example

#include <Esplora.h>
void setup()
{
Serial.begin(9600);
}
void loop()
{
int value = Esplora.readMicrophone();
Serial.println(value);
delay(1000);
}
[Get Code]
Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers